Bug 445168 - metacity sometimes fails to unmaximize windows
metacity sometimes fails to unmaximize windows
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: metacity (Show other bugs)
8
All Linux
low Severity low
: ---
: ---
Assigned To: Søren Sandmann Pedersen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-04 23:59 EDT by Steven Elliott
Modified: 2014-06-18 05:10 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 01:27:57 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Steven Elliott 2008-05-04 23:59:26 EDT
Description of problem:

Metacity does not unmaximize windows reliably.  What I mean is that
occasionally when a window is maximized metacity seems to forget what the
original size was.  When that happens, when metacity forgets, either pressing
<alt><f5> or clicking the unmaximize button in the upper right hand corner
does cause the window to change to the unmaximized state, but it retains its
large maximized size.

Version-Release number of selected component (if applicable):

I've reproduced this problem on both Fedora 8 and Fodora 9 preview (Fedora
release 8.93 (Rawhide)), so it's probably in the latest metacity code.  But I
have not actually built from latest source code.  The metacity versions are:
    metacity-2.20.0-3.fc8
    metacity-2.22.0-2.fc9.i386

How reproducible:

This problem is intermittently reproducible during normal use.  I think I
experienced it once every five minutes or so which was enough to annoy me into
moving to IceWM.

However, I can recreate this problem in a matter of seconds using the
artificial recreate steps mentioned below.  So in that sense it's very
reproducible.

Steps to Reproduce:
1. Open some application that normally does not startup maximized.  
   gnome-terminal works well.
2. Use the keyboard shortcuts to quickly alternate between the maximized and 
   initial unmaximized sizes.  With the default bindings just hold down the
   <alt> key and alternately press <alt><f10> and <alt><f5> quickly.
3. After a while although <alt><f5> causes the application to enter the 
   unmaximized state it's now roughly the maximized size.  In other words, the
   size of the application no longer varies significantly as <alt><f5> and
   <alt><f10> are pressed.
  
Actual results:

Either pressing <alt><f5> or clicking the unmaximize button in the upper right
hand corner fails to cause the window to return to the size it was when the
application was first displayed.  Instead, it ends up being pretty much the
maximized size.

Expected results:

Either pressing <alt><f5> or clicking the unmaximize button in the upper right
hand corner should cause the application to return to the size it was when the
application was first displayed.

Additional info:

It surprises me that I can't find any other complaints about this.  Maybe it
only happens on older machines, but my "Intel(R) Pentium(R) 4 CPU 3.00GHz"
isn't that old.  It also happens on my much older "Pentium III (Katmai)".
Maybe many people experience this, but only I was annoyed enough to open a
defect as a result of the way I work with windows.  I like to have multiple
gnome-terminals that are precisely 80x24 tiled across my desktop (four, one in
each corner). I'll maximize whichever one I'm using.  And I like it to go back
to exactly 80x24 when I'm done.  If you don't care what it gets unmaximized to
then dragging it back manually isn't so bad.
Comment 1 Bug Zapper 2008-11-26 05:38:20 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Bug Zapper 2009-01-09 01:27:57 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.